<template>
  <div class="body">
    <v-layout row wrap>
      <v-flex xs12 m6 md4 lg3 v-for="item in arreglo" :key="item.cursoId">
        <div class="inline-flex card w-96 bg-secondary shadow-xl ml-14 mt-10">
          <div
            class="card-body hover hover:bg-accent"
            @click="
              $router.push({
                path: 'ListaTareasDocente',
                query: { asig_id: query, curso_id: item.cursoId },
              })
            "
          >
            <h2 class="card-title">{{ item.nombre }}</h2>

            <div class="card-actions justify-end">
              <button
                class="btn btn-primary"
                @click="
                  $router.push({
                    path: 'ListaTareasDocente',
                    query: { asig_id: query, curso_id: item.cursoId },
                  })
                "
              >
                Ir
              </button>
            </div>
          </div>
        </div>
      </v-flex>
    </v-layout>
  </div>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      query: this.$route.query.asig_id,
      arreglo: [],
    };
  },
  mounted() {
    const fecha = "";
    const hora = "";
    const fechaCompleta = "";
    const msg = "";
    let vue = this;

    axios.get("/adminitracionCursos/buscarCursos", {}).then((response) => {
      vue.arreglo = response.data;
    });
  },
  methods: {
    enviarParams() {
      const searchURL = new URL(window.location);
      searchURL.searchParams.set("asig_id");
      searchURL.searchParams.set("user", 3);
      searchURL.searchParams.set("type", "support");

      window.history.pushState({}, "", searchURL);
    },
  },
};
</script>

<style>
.body {
  height: 100vh;
}
</style>
